Bug 504401 - Anaconda doesn't recognize reiserfs partitions
Anaconda doesn't recognize reiserfs partitions
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-06-06 03:53 EDT by Eric Hopper
Modified: 2009-08-19 21:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-08-19 21:15:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Hopper 2009-06-06 03:53:43 EDT
Description of problem:
Anaconda does not recognize existing reiserfs partitions

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. Try to install Fedora rawhide on a system with existing reiserfs partitions
2. Notice that all such partitions show up as unknown
3. Wait until system is installed to hand-edit fstab

Additional info:
reiserfs is still supported in the kernel.  Anaconda ought to recognize it and deal with it.
Comment 1 David Cantrell 2009-06-07 22:00:59 EDT
We removed reiserfs support when we rewrote the storage code.  I can't say it'll be high priority, but I'll work up a patch.
Comment 2 Bug Zapper 2009-06-09 13:11:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 3 David Cantrell 2009-08-19 21:15:28 EDT
A fix for this has been committed to the git repository and will appear in anaconda-12.17-1.

Note You need to log in before you can comment on or make changes to this bug.